<div>
    <h5 class="text-muted"><small>Statistics Overview</small></h5>
    <hr>
    <div class="row">
        <div class="col-xl-3 col-lg-6">
            <app-stat [bgClass]="'default'" [icon]="'fa-users'" [count]="model.AccountsCount" [label]="'Accounts'" ></app-stat>
        </div>
        <div class="col-xl-3 col-lg-6">
            <app-stat [bgClass]="'default'" [icon]="'fa-user'" [count]="model.ActiveUsersCount" [label]="'Active Users'" ></app-stat>
        </div>
        <div class="col-xl-3 col-lg-6">
            <app-stat [bgClass]="'default'" [icon]="'fa-user-times'" [count]="model.InActiveUsersCount" [label]="'Inactive Users'" ></app-stat>
        </div>
        <div class="col-xl-3 col-lg-6">
            <app-stat [bgClass]="'default'" [icon]="'fa-university'" [count]="model.SitesCount" [label]="'Sites'"></app-stat>
        </div>
    </div>
    <hr>
    <div class="row">
        <div class="col col-sm-6">
            <div class="card mb-3">
                <div class="card-header">
                   Accounts Users
                   <div class="pull-right">
                        <!-- <a href="#" placement="left" 
                        ngbPopover="Test" triggers="mouseenter:mouseleave" popoverTitle="Information"
                        class="btn btn-xs btn-primary"><i class="fa fa-ellipsis-h"></i></a> -->
                        <!-- <a href="#" placement="left" 
                        ngbPopover="Test" triggers="mouseenter:mouseleave" popoverTitle="Information" 
                        class="btn-primary btn-sm"><i style="color:#fff" class="fa fa-ellipsis-h"></i></a> -->
                         <a href="#" ngbPopover="Hover the areas to see data" placement="left"  triggers="mouseenter:mouseleave" popoverTitle="Information" class="btn-primary btn-sm"><i style="color:#fff" class="fa fa-question-circle"></i></a>&nbsp;
                   </div>
                </div>
                <div class="card-body">
                    <canvas *ngIf="doughnutChartData.length > 0" baseChart 
                        [data]="doughnutChartData" 
                        [labels]="doughnutChartLabels" 
                        [chartType]="doughnutChartType"
                        [options]="doughnutChartOptions">
                    </canvas>
                </div>
            </div>
        </div>
        <div class="col col-sm-6">
            <div class="card mb-3">
                <div class="card-header">
                   Log Statistics
                </div>
                <div class="card-body">
                    <canvas baseChart 
                    [data]="logCountersData" 
                    [labels]="logCountersLabels" 
                    [chartType]="doughnutChartType" 
                    (chartHover)="chartHovered($event)">
                    </canvas>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col col-sm-6">
            <div class="card mb-3">
                <div class="card-header">
                    Online Users
                    <div class="pull-right">
                    <!-- <button type="button" placement="left" 
                    ngbPopover="A stand-alone page will be available soon" triggers="mouseenter:mouseleave" popoverTitle="Information"
                    class="btn btn-sm btn-default"><i class="fa fa fa-ellipsis-h"></i></button> -->
                       <!-- <a href="/users/online" class="btn-primary btn-sm"><i style="color:#fff" class="fa fa-ellipsis-h"></i></a>&nbsp; -->
                    </div>
                </div> 
                <div class="card-body">
                    <app-users-active-list #usersActiveList></app-users-active-list>
                </div>
            </div>
        </div>
        <div class="col col-sm-6">
             <div class="card mb-3">
                <div class="card-header">
                    Error Logs
                    <div class="pull-right">
                        <!-- <button type="button" placement="left" 
                        ngbPopover="A stand-alone page will be available soon" triggers="mouseenter:mouseleave" popoverTitle="Information"
                        class="btn btn-sm btn-default"><i class="fa fa fa-ellipsis-h"></i></button> -->
                       <!-- <a href="/logs/errors" class="btn-primary btn-sm"><i style="color:#fff" class="fa fa-ellipsis-h"></i></a>&nbsp; -->
                    </div>
                </div> 
                <div class="card-body">
                    <app-error-log-list #errorLogList></app-error-log-list>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col col-sm-6">
            <div class="card mb-3">
                        <div class="card-header">
                            Most Recent Activity
                            <div class="pull-right">
                                 <!-- <button type="button" placement="left" 
                                 ngbPopover="A stand-alone page will be available soon" triggers="mouseenter:mouseleave" popoverTitle="Information"
                                 class="btn btn-sm btn-default"><i class="fa fa fa-ellipsis-h"></i></button> -->
                                <!-- <a href="/logs/recent" class="btn-primary btn-sm"><i style="color:#fff" class="fa fa-ellipsis-h"></i></a>&nbsp; -->
                            </div>
                        </div>
                        <div class="card-body">
                            <app-recent-log-list></app-recent-log-list>
                        </div>
                </div>
            </div>
            <div class="col col-sm-6">
                <div class="card mb-3">
                    <div class="card-header">
                        Loans per Account Chart ( SAMPLE DATA ONLY )
                    </div>
                        <div class="card-body">
                            <canvas baseChart [datasets]="barChartData" [labels]="barChartLabels" [options]="barChartOptions" [legend]="barChartLegend" [chartType]="barChartType" (chartHover)="chartHovered($event)">
                            </canvas>
                    </div>
                </div>
            </div>
    </div>
</div>
